CREATE TABLE irc_media_asset_properties (
    MEDIA_PROPERTY_ID        NUMBER(18, 0),
    MEDIA_ASSET_ID           NUMBER(18, 0)    NOT NULL,
    KEY                      VARCHAR2(80)     NOT NULL,
    VALUE                    VARCHAR2(80)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    MEDIA_PROPERTY_ID        NUMBER(18, 0),
    MEDIA_ASSET_ID           NUMBER(18, 0)    NOT NULL,
    KEY                      VARCHAR2(80)     NOT NULL,
    VALUE                    VARCHAR2(80)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_media_asset_properties PRIMARY KEY (MEDIA_PROPERTY_ID, MEDIA_PROPERTY_ID)
);
